Bug 48552 - new port: sysutils/ganglia-webfrontend: GUI for the ganglia cluster monitor
Summary: new port: sysutils/ganglia-webfrontend: GUI for the ganglia cluster monitor
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-22 01:10 UTC by Brooks Davis
Modified: 2003-09-29 15:09 UTC (History)
0 users

See Also:


Attachments
file.shar (8.51 KB, text/plain)
2003-02-22 01:10 UTC, Brooks Davis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brooks Davis freebsd_committer 2003-02-22 01:10:06 UTC
The Ganglia cluster monitoring system is an easy to install and
configure cluster monitor.  The ganglia-webfrontend port is a port of
the web-based GUI.  This port depends on the ganglia-monitor-core port
which is in PR ports/48551.

Fix: Add this port (or grab the tarball from
http://people.freebsd.org/~brooks/ports/):
Comment 1 Kris Kennaway 2003-03-02 00:28:28 UTC
This port has some problems:

RUN_DEPENDS is set twice (the second time overwrites the first).  The
pkg-plist appears to be incorrect.  www should probably be in
CATEGORIES.

Can you please revise the port and resubmit?

Kris
Comment 2 brooks 2003-03-02 23:41:27 UTC
On Sat, Mar 01, 2003 at 04:28:28PM -0800, Kris Kennaway wrote:
> This port has some problems:
> 
> RUN_DEPENDS is set twice (the second time overwrites the first).  The
> pkg-plist appears to be incorrect.  www should probably be in
> CATEGORIES.
> 
> Can you please revise the port and resubmit?

I've posted a fixed version (assuming I got the plist right) at:

http://people.freebsd.org/~brooks/ports/ganglia-webfrontend.tar.gz

Thanks,
Brooks
Comment 3 Tilman Keskinoz freebsd_committer 2003-05-09 12:13:46 UTC
Class Changed
From-To: maintainer-update->change-request

accurate class
Comment 4 brooks 2003-05-28 22:42:00 UTC
Please find attached a corrected and updated shar archive.

-- Brooks


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	ganglia-webfrontend
#	ganglia-webfrontend/files
#	ganglia-webfrontend/files/patch-conf.php
#	ganglia-webfrontend/files/pkg-opts
#	ganglia-webfrontend/Makefile
#	ganglia-webfrontend/pkg-descr
#	ganglia-webfrontend/pkg-plist
#	ganglia-webfrontend/distinfo
#
echo c - ganglia-webfrontend
mkdir -p ganglia-webfrontend > /dev/null 2>&1
echo c - ganglia-webfrontend/files
mkdir -p ganglia-webfrontend/files > /dev/null 2>&1
echo x - ganglia-webfrontend/files/patch-conf.php
sed 's/^X//' >ganglia-webfrontend/files/patch-conf.php << 'END-of-ganglia-webfrontend/files/patch-conf.php'
X
X$FreeBSD$
X
X--- conf.php.orig	Thu Feb 20 18:10:49 2003
X+++ conf.php	Thu Feb 20 18:14:37 2003
X@@ -22,12 +22,12 @@
X #$gmetad_root = "/usr/local/gmetad";
X 
X # The high-performance gmetad.
X-$gmetad_root = "/var/lib/ganglia";
X+$gmetad_root = "/var/db/ganglia";
X $rrds = "$gmetad_root/rrds";
X 
X # Leave this alone if rrdtool is installed in $gmetad_root,
X # otherwise, change it if it's installed elsewhere (like /usr/bin)
X-define("RRDTOOL", "/usr/bin/rrdtool");
X+define("RRDTOOL", "%%PREFIX%%/bin/rrdtool");
X 
X #
X # If you want to grab data from a different ganglia source specify it here.
END-of-ganglia-webfrontend/files/patch-conf.php
echo x - ganglia-webfrontend/files/pkg-opts
sed 's/^X//' >ganglia-webfrontend/files/pkg-opts << 'END-of-ganglia-webfrontend/files/pkg-opts'
X* WWWDOCROOT [www/data]
X  The DocumentRoot of your webserver under ${PREFIX}
X
X* WEBFRONTURL [ganglia]
X  The base URL of the Ganglia Web Frontend on your webserver.
X
X    The Ganglia Web Frontend will be installed under
X    ${PREFIX}/${WWWDOCROOT}/${WEBFRONTURL} and will be visible as
X    http://<hostname>/${WEBFRONTURL}
X
X* WWWOWN [www]
X  The user ID under which your webserver executes
X
X    It is recommended that you do not change this option unless you're
X    REALLY sure what you're doing.
X
X* WWWGRP [www]
X  The group ID under which your webserver executes
X
X    It is recommended that you do not change this option unless you're
X    REALLY sure what you're doing.
END-of-ganglia-webfrontend/files/pkg-opts
echo x - ganglia-webfrontend/Makefile
sed 's/^X//' >ganglia-webfrontend/Makefile << 'END-of-ganglia-webfrontend/Makefile'
X# Ports collection makefile for:	ganglia-webfrontend
X# Date created:				Thu Fed 20, 2003
X# Whom:					Brooks Davis <brooks@freebsd.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	ganglia-webfrontend
XPORTVERSION=	2.5.3
XCATEGORIES=	sysutils net parallel www
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	ganglia
X
XMAINTAINER=	brooks@FreeBSD.org
XCOMMENT=	"Ganglia cluster monitor, web frontend"
X
XRUN_DEPENDS=	${LOCALBASE}/libexec/apache/libphp4.so:${PORTSDIR}/www/mod_php4 \
X		${LOCALBASE}/sbin/gmetad:${PORTSDIR}/sysutils/ganglia-monitor-core
X
XPLIST_SUB+=	WEBFRONTDIR="${WEBFRONTDIR}"
XNO_BUILD=	yes
XUSE_REINPLACE=	yes
X
X# The Ganglia Web Frontend port supports a number of options that may be
X# tweaked at buildtime.  Perform a "make options" to see more
X# information on these variables.
XWWWDOCROOT?=	www/data
XWEBFRONTURL?=	ganglia
XWWWOWN?=	www
XWWWGRP?=	www
X
X# Set custom variables:
X#
XWEBFRONTDIR=	${WWWDOCROOT}/${WEBFRONTURL}
XPKGOPTS=	${FILESDIR}/pkg-opts
XEXCEPTFILES=	AUTHORS ChangeLog COPYING
X
Xoptions:
X	@ ${ECHO_MSG} "===>  Build options for ${PKGNAME}:"
X	@ ${CAT} ${PKGOPTS}
X
Xpost-extract:
X.if !defined(BATCH)
X	@ ${TEST} -r ${PKGOPTS} && \
X	    (${ECHO_MSG} '-------------------------------------------------------------------------'; \
X	     ${ECHO_MSG} 'Perform a "make options" to see a list of available installation options.'; \
X	     ${ECHO_MSG} '-------------------------------------------------------------------------')
X.endif
X
Xpost-patch:
X	@ ${REINPLACE_CMD} -e "s|%%PREFIX%%|${PREFIX}|g" ${WRKSRC}/conf.php
X
Xdo-install:
X	mkdir -p ${PREFIX}/${WEBFRONTDIR}
X	${MKDIR} -m 0775 ${PREFIX}/${WEBFRONTDIR}
X	cd ${WRKSRC} && ${FIND} * \( -name conf.php\* \
X	    ${EXCEPTFILES:S/^/-o -name /} \) \
X	    -a -prune -o -print \
X	    | ${TAR} cTf - - | ${TAR} xUCf ${PREFIX}/${WEBFRONTDIR} -
X	${CHOWN} -R ${WWWOWN}:${WWWGRP} ${PREFIX}/${WEBFRONTDIR}
X	${INSTALL} -c -o ${WWWOWN} -g ${WWWGRP} \
X	    ${WRKSRC}/conf.php ${PREFIX}/${WEBFRONTDIR}/conf.php.sample
X	if [ ! -f ${PREFIX}/${WEBFRONTDIR}/conf.php ]; then \
X		${INSTALL} -c -o ${WWWOWN} -g ${WWWGRP} \
X		    ${WRKSRC}/conf.php ${PREFIX}/${WEBFRONTDIR} ;\
X	fi
X
X.include <bsd.port.mk>
END-of-ganglia-webfrontend/Makefile
echo x - ganglia-webfrontend/pkg-descr
sed 's/^X//' >ganglia-webfrontend/pkg-descr << 'END-of-ganglia-webfrontend/pkg-descr'
XGanglia provides a complete real-time monitoring and execution
Xenvironment that is in use by hundreds of universities, private and
Xgovernment laboratories and commercial cluster implementors around the
Xworld. Whether you want to monitor hundreds of computers in real-time
Xacross a university campus or around the world, ganglia is for you.
X
XThe ganglia web frontend provides access to the data collected by the
Xmonitoring core.
X
XWWW: http://ganglia.sourceforge.net/
X
X-- Brooks Davis <brooks@FreeBSD.org>
END-of-ganglia-webfrontend/pkg-descr
echo x - ganglia-webfrontend/pkg-plist
sed 's/^X//' >ganglia-webfrontend/pkg-plist << 'END-of-ganglia-webfrontend/pkg-plist'
X%%WEBFRONTDIR%%/auth.php
X%%WEBFRONTDIR%%/class.TemplatePower.inc.php
X%%WEBFRONTDIR%%/cluster_legend.html
X%%WEBFRONTDIR%%/cluster_view.php
X%%WEBFRONTDIR%%/footer.php
X%%WEBFRONTDIR%%/functions.php
X%%WEBFRONTDIR%%/ganglia.php
X%%WEBFRONTDIR%%/get_context.php
X%%WEBFRONTDIR%%/get_ganglia.php
X%%WEBFRONTDIR%%/graph.php
X%%WEBFRONTDIR%%/grid_tree.php
X%%WEBFRONTDIR%%/header.php
X%%WEBFRONTDIR%%/host_view.php
X%%WEBFRONTDIR%%/index.php
X%%WEBFRONTDIR%%/meta_view.php
X%%WEBFRONTDIR%%/node_legend.html
X%%WEBFRONTDIR%%/physical_view.php
X%%WEBFRONTDIR%%/private_clusters
X%%WEBFRONTDIR%%/show_node.php
X%%WEBFRONTDIR%%/styles.css
X%%WEBFRONTDIR%%/templates/Rocks/images/ganglia.jpg
X%%WEBFRONTDIR%%/templates/Rocks/images/rocks.jpg
X%%WEBFRONTDIR%%/templates/Rocks/images/hardhat.png
X%%WEBFRONTDIR%%/templates/Rocks/header.tpl
X%%WEBFRONTDIR%%/templates/default/images/cluster_0-24.jpg
X%%WEBFRONTDIR%%/templates/default/images/cluster_25-49.jpg
X%%WEBFRONTDIR%%/templates/default/images/cluster_50-74.jpg
X%%WEBFRONTDIR%%/templates/default/images/cluster_75-100.jpg
X%%WEBFRONTDIR%%/templates/default/images/cluster_overloaded.jpg
X%%WEBFRONTDIR%%/templates/default/images/cluster_private.jpg
X%%WEBFRONTDIR%%/templates/default/images/logo.jpg
X%%WEBFRONTDIR%%/templates/default/images/node_0-24.jpg
X%%WEBFRONTDIR%%/templates/default/images/node_25-49.jpg
X%%WEBFRONTDIR%%/templates/default/images/node_50-74.jpg
X%%WEBFRONTDIR%%/templates/default/images/node_75-100.jpg
X%%WEBFRONTDIR%%/templates/default/images/node_dead.jpg
X%%WEBFRONTDIR%%/templates/default/images/node_overloaded.jpg
X%%WEBFRONTDIR%%/templates/default/images/grid_0-24.jpg
X%%WEBFRONTDIR%%/templates/default/images/grid_25-49.jpg
X%%WEBFRONTDIR%%/templates/default/images/grid_50-74.jpg
X%%WEBFRONTDIR%%/templates/default/images/grid_75-100.jpg
X%%WEBFRONTDIR%%/templates/default/images/grid_overloaded.jpg
X%%WEBFRONTDIR%%/templates/default/images/grid_private.jpg
X%%WEBFRONTDIR%%/templates/default/cluster_view.tpl
X%%WEBFRONTDIR%%/templates/default/footer.tpl
X%%WEBFRONTDIR%%/templates/default/header-nobanner.tpl
X%%WEBFRONTDIR%%/templates/default/header.tpl
X%%WEBFRONTDIR%%/templates/default/host_view.tpl
X%%WEBFRONTDIR%%/templates/default/meta_view.tpl
X%%WEBFRONTDIR%%/templates/default/physical_view.tpl
X%%WEBFRONTDIR%%/templates/default/show_node.tpl
X%%WEBFRONTDIR%%/templates/default/grid_tree.tpl
X%%WEBFRONTDIR%%/conf.php.sample
X%%WEBFRONTDIR%%/conf.php
X@dirrm %%WEBFRONTDIR%%/addons
X@dirrm %%WEBFRONTDIR%%/templates/Rocks/images
X@dirrm %%WEBFRONTDIR%%/templates/Rocks
X@dirrm %%WEBFRONTDIR%%/templates/default/images
X@dirrm %%WEBFRONTDIR%%/templates/default
X@dirrm %%WEBFRONTDIR%%/templates
X@dirrm %%WEBFRONTDIR%%
END-of-ganglia-webfrontend/pkg-plist
echo x - ganglia-webfrontend/distinfo
sed 's/^X//' >ganglia-webfrontend/distinfo << 'END-of-ganglia-webfrontend/distinfo'
XMD5 (ganglia-webfrontend-2.5.3.tar.gz) = bb16ba799049a52de4dd13c9495c704f
END-of-ganglia-webfrontend/distinfo
exit
Comment 5 Edwin Groothuis freebsd_committer 2003-09-29 15:08:37 UTC
State Changed
From-To: open->closed

Commited, thanks!